libidn 1.43

Functions
idn-free.c File Reference
`#include <config.h>`
`#include "idn-free.h"`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions
void | idn_free (void *ptr)

## Function Documentation

## ◆ idn_free()

void idn_free | ( | void * | ptr | ) |

idn_free:

Parameters

  ptr | memory region to deallocate, or NULL.

Deallocates memory region by calling free(). If @ptr is NULL no operation is performed.

Normally applications de-allocate strings allocated by libidn by calling free() directly. Under Windows, different parts of the same application may use different heap memory, and then it is important to deallocate memory allocated within the same module that allocated it. This function makes that possible.

Definition at line 52 of file idn-free.c.